%define version 3.45
%define release %mkrel 5

%define	major 0
%define libname %mklibname pstoedit %{major}

Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	%{version}
Release:	%{release}
License:	GPL
Source: 	http://home.t-online.de/home/helga.glunz/wglunz/pstoedit/pstoedit-%{version}.tar.bz2
URL:		http://www.pstoedit.net/pstoedit
Group:		Graphics
BuildRequires:	bison
BuildRequires:	ghostscript
BuildRequires:  imagemagick-devel
BuildRequires:	plotutils-devel
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
Requires:	%{libname} = %{version}
# not compatible
BuildConflicts:	ming-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (http://sketch.sourceforge.net)
	- Mathematica
	- trough ImageMagick to any format supported by ImageMagick

%package -n %{libname}
Summary:	Pstoedit libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with pstoedit libraries.

%package -n %{libname}-devel
Summary:	Static libraries and header files for pstoedit development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%prep
%setup -q

# clean up permissions
find -type f -perm +111 | xargs -r file | grep -v script | cut -d: -f1| xargs -r chmod 0644

#AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 autoreconf --force --install

%build
# needed because of definitions in imagemagick headers that break with -pedantic
sed -ie 's/-pedantic//' configure
%configure2_5x --enable-static
make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 644 doc/pstoedit.1 %{buildroot}%{_mandir}/man1/pstoedit.1


# remove unneeded files
rm -f %{buildroot}%{_libdir}/%{name}/*.{a,la}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/changelog.htm doc/index.htm doc/readme.txt
%doc readme.install examples
%{_bindir}/pstoedit
%{_datadir}/pstoedit
%{_mandir}/man1/*.1*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*
%{_libdir}/pstoedit/*.so.*
%{_libdir}/pstoedit/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/pstoedit.htm
%{_includedir}/pstoedit
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4




%changelog
* Tue Apr 22 2008 Lev Givon <lev@mandriva.org> 3.45-5mdv2009.0
+ Revision: 196624
- Add plotutils-devel build dependency to ensure svg support.

  + Funda Wang <fundawang@mandriva.org>
    - add buildroot
    - rebuild

* Tue Jan 22 2008 Lev Givon <lev@mandriva.org> 3.45-3mdv2008.1
+ Revision: 156013
- Rebuild against updated plotutils so as to provide svg support.

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.45-2mdv2008.1
+ Revision: 146515
- rebuilt against new imagemagick libs (6.3.7)

* Thu Dec 27 2007 Jérôme Soyer <saispo@mandriva.org> 3.45-1mdv2008.1
+ Revision: 138401
- New release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Feb 24 2007 Emmanuel Andry <eandry@mandriva.org> 3.44-2mdv2007.0
+ Revision: 125338
- rebuild for latest ImageMagick

* Mon Jan 15 2007 Lenny Cartier <lenny@mandriva.com> 3.44-1mdv2007.1
+ Revision: 109213
- Update to 3.44
- Import pstoedit

* Sat Oct 01 2005 Lenny Cartier <lenny@mandriva.com> 3.42-1mdk
- 3.42

* Fri Sep 02 2005 Marcel Pol <mpol@mandriva.org> 3.40-7mdk
- rebuild for new ImageMagick

* Wed Aug 17 2005 Abel Cheung <deaddog@mandriva.org> 3.40-6mdk
- Abandon autogen.sh completely in favor of autoreconf, so patch0
  can be dropped
- Patch2: eliminate automake complaining about unquoted m4 macros

* Wed Aug 17 2005 Michael Scherer <misc@mandriva.org> 3.40-5mdk
- Rebuild for lack of libdpstk.so.1

* Sat Aug 06 2005 Giuseppe Ghibò <ghibo@mandriva.com> 3.40-4mdk
- Rebuilt against latest ImageMagick.
- Rebuilt Patch0 for aclocal-1.9.

* Sat Jul 30 2005 Lenny Cartier <lenny@mandriva.com> 3.40-3mdk
- rebuild for dependencies

* Sun May 08 2005 Giuseppe Ghibò <ghibo@mandriva.com> 3.40-2mdk
- Fixed BuildConflicts for x86-64.

* Sat Mar 19 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.40-1mdk
- Release 3.40.

* Sat Feb 05 2005 Abel Cheung <deaddog@mandrake.org> 3.33-9mdk
- rebuild

* Mon Jan 17 2005 Abel Cheung <deaddog@mandrake.org> 3.33-8mdk
- rebuild

* Wed Dec 15 2004 Abel Cheung <deaddog@deaddog.org> 3.33-7mdk
- rebuild

* Sun Aug 01 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.33-6mdk
- Rebuilt against ImageMagick 6.0.4.

* Wed Jun 30 2004 Abel Cheung <deaddog@deaddog.org> 3.33-5mdk
- P0: Fix build
- P1: Allow parallel build
- Add missing buildrequires
- Other build cleanup

